path: /build/build/libsecret-app-crypt-0.21.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-gtk-doc bash-completion crypt introspection tpm vala" emerge app-crypt/libsecret -pv -t && \
    USE="-gtk-doc bash-completion crypt introspection tpm vala" emerge -j ${JOBS} --nodeps app-crypt/libsecret
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libsecret && luet-portage --dir /pkgdir/libsecret
    app-crypt/libsecret && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d8f8e4158ee84123b57306f83050a9503bbc4669c0a71b4f1800b1fdd4462c3b
  package:
    name: libsecret
    version: 0.21.4+1
    category: app-crypt
    use_flags:
    - -gtk-doc
    - bash-completion
    - crypt
    - introspection
    - tpm
    - vala
    requires:
    - name: webkit-gtk
      version: '>=0'
      category: net-libs-4
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A GObject-based library for accessing the Secret Service API of the
      freedesktop.org project, a cross-desktop effort to access passwords, tokens
      and other types of secrets.
    uri:
    - https://wiki.gnome.org/Projects/Libsecret
    license: LGPL-2.1+
    buildtimestamp: 2024-04-17 21:54:35.354861851 +0000 UTC m=+5068.585234909
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2'
      DEPEND: '>=dev-libs/glib-2.44.0 crypt? ( >=dev-libs/libgcrypt-1.2.2 ) bash-completion?
        ( app-shells/bash-completion ) tpm? ( >=app-crypt/tpm2-tss-3.0.3 ) >=sys-devel/gettext-0.19.8
        virtual/pkgconfig gtk-doc? ( >=dev-util/gi-docgen-2021.7 ) introspection?
        ( >=dev-libs/gobject-introspection-1.29 ) vala? ( || ( dev-lang/vala:0.50
        dev-lang/vala:0.48 dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42
        dev-lang/vala:0.40 dev-lang/vala:0.36 ) ) dev-util/desktop-file-utils x11-misc/shared-mime-info'
      IUSE: bash-completion +crypt +gnome-keyring gtk-doc +introspection tpm +vala
      RDEPEND: '>=dev-libs/glib-2.44.0 crypt? ( >=dev-libs/libgcrypt-1.2.2 ) bash-completion?
        ( app-shells/bash-completion ) tpm? ( >=app-crypt/tpm2-tss-3.0.3 )'
      emerge.packages: app-crypt/libsecret
      kit: gnome-kit
      original.package.name: app-crypt/libsecret
      original.package.slot: "0"
      original.package.version: 0.21.4
    treedir: /build/packages
  package_dir: /pkgdir/libsecret
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6221abc00a5c1113434f093935d958b1cdd87a6195e4c5fa261c31fd34f8fbf5
compressiontype: zstd
files:
- usr/bin/secret-tool
- usr/include/libsecret-1/libsecret/secret-attributes.h
- usr/include/libsecret-1/libsecret/secret-backend.h
- usr/include/libsecret-1/libsecret/secret-collection.h
- usr/include/libsecret-1/libsecret/secret-enum-types.h
- usr/include/libsecret-1/libsecret/secret-item.h
- usr/include/libsecret-1/libsecret/secret-password.h
- usr/include/libsecret-1/libsecret/secret-paths.h
- usr/include/libsecret-1/libsecret/secret-prompt.h
- usr/include/libsecret-1/libsecret/secret-retrievable.h
- usr/include/libsecret-1/libsecret/secret-schema.h
- usr/include/libsecret-1/libsecret/secret-schemas.h
- usr/include/libsecret-1/libsecret/secret-service.h
- usr/include/libsecret-1/libsecret/secret-types.h
- usr/include/libsecret-1/libsecret/secret-value.h
- usr/include/libsecret-1/libsecret/secret-version.h
- usr/include/libsecret-1/libsecret/secret.h
- usr/lib64/girepository-1.0/Secret-1.typelib
- usr/lib64/libsecret-1.so
- usr/lib64/libsecret-1.so.0
- usr/lib64/libsecret-1.so.0.0.0
- usr/lib64/pkgconfig/libsecret-1.pc
- usr/lib64/pkgconfig/libsecret-unstable.pc
- usr/share/doc/libsecret-0.21.4/NEWS.bz2
- usr/share/doc/libsecret-0.21.4/README.md.bz2
- usr/share/gir-1.0/Secret-1.gir
- usr/share/locale/ab/LC_MESSAGES/libsecret.mo
- usr/share/locale/an/LC_MESSAGES/libsecret.mo
- usr/share/locale/ar/LC_MESSAGES/libsecret.mo
- usr/share/locale/as/LC_MESSAGES/libsecret.mo
- usr/share/locale/be/LC_MESSAGES/libsecret.mo
- usr/share/locale/bg/LC_MESSAGES/libsecret.mo
- usr/share/locale/bs/LC_MESSAGES/libsecret.mo
- usr/share/locale/ca/LC_MESSAGES/libsecret.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/libsecret.mo
- usr/share/locale/ckb/LC_MESSAGES/libsecret.mo
- usr/share/locale/cs/LC_MESSAGES/libsecret.mo
- usr/share/locale/da/LC_MESSAGES/libsecret.mo
- usr/share/locale/de/LC_MESSAGES/libsecret.mo
- usr/share/locale/el/LC_MESSAGES/libsecret.mo
- usr/share/locale/en_GB/LC_MESSAGES/libsecret.mo
- usr/share/locale/eo/LC_MESSAGES/libsecret.mo
- usr/share/locale/es/LC_MESSAGES/libsecret.mo
- usr/share/locale/eu/LC_MESSAGES/libsecret.mo
- usr/share/locale/fa/LC_MESSAGES/libsecret.mo
- usr/share/locale/fi/LC_MESSAGES/libsecret.mo
- usr/share/locale/fr/LC_MESSAGES/libsecret.mo
- usr/share/locale/fur/LC_MESSAGES/libsecret.mo
- usr/share/locale/gl/LC_MESSAGES/libsecret.mo
- usr/share/locale/he/LC_MESSAGES/libsecret.mo
- usr/share/locale/hr/LC_MESSAGES/libsecret.mo
- usr/share/locale/hu/LC_MESSAGES/libsecret.mo
- usr/share/locale/id/LC_MESSAGES/libsecret.mo
- usr/share/locale/ie/LC_MESSAGES/libsecret.mo
- usr/share/locale/it/LC_MESSAGES/libsecret.mo
- usr/share/locale/ja/LC_MESSAGES/libsecret.mo
- usr/share/locale/ka/LC_MESSAGES/libsecret.mo
- usr/share/locale/kk/LC_MESSAGES/libsecret.mo
- usr/share/locale/ko/LC_MESSAGES/libsecret.mo
- usr/share/locale/lt/LC_MESSAGES/libsecret.mo
- usr/share/locale/lv/LC_MESSAGES/libsecret.mo
- usr/share/locale/ml/LC_MESSAGES/libsecret.mo
- usr/share/locale/ms/LC_MESSAGES/libsecret.mo
- usr/share/locale/nb/LC_MESSAGES/libsecret.mo
- usr/share/locale/ne/LC_MESSAGES/libsecret.mo
- usr/share/locale/nl/LC_MESSAGES/libsecret.mo
- usr/share/locale/oc/LC_MESSAGES/libsecret.mo
- usr/share/locale/pa/LC_MESSAGES/libsecret.mo
- usr/share/locale/pl/LC_MESSAGES/libsecret.mo
- usr/share/locale/pt/LC_MESSAGES/libsecret.mo
- usr/share/locale/pt_BR/LC_MESSAGES/libsecret.mo
- usr/share/locale/ro/LC_MESSAGES/libsecret.mo
- usr/share/locale/ru/LC_MESSAGES/libsecret.mo
- usr/share/locale/sk/LC_MESSAGES/libsecret.mo
- usr/share/locale/sl/LC_MESSAGES/libsecret.mo
- usr/share/locale/sr/LC_MESSAGES/libsecret.mo
- usr/share/locale/sr@latin/LC_MESSAGES/libsecret.mo
- usr/share/locale/sv/LC_MESSAGES/libsecret.mo
- usr/share/locale/ta/LC_MESSAGES/libsecret.mo
- usr/share/locale/tg/LC_MESSAGES/libsecret.mo
- usr/share/locale/tr/LC_MESSAGES/libsecret.mo
- usr/share/locale/uk/LC_MESSAGES/libsecret.mo
- usr/share/locale/vi/LC_MESSAGES/libsecret.mo
- usr/share/locale/zh_CN/LC_MESSAGES/libsecret.mo
- usr/share/locale/zh_HK/LC_MESSAGES/libsecret.mo
- usr/share/locale/zh_TW/LC_MESSAGES/libsecret.mo
- usr/share/man/man1/secret-tool.1.bz2
- usr/share/vala/vapi/libsecret-1.deps
- usr/share/vala/vapi/libsecret-1.vapi
- var/db/pkg/app-crypt/libsecret-0.21.4/BDEPEND
- var/db/pkg/app-crypt/libsecret-0.21.4/BUILD_TIME
- var/db/pkg/app-crypt/libsecret-0.21.4/CATEGORY
- var/db/pkg/app-crypt/libsecret-0.21.4/CBUILD
- var/db/pkg/app-crypt/libsecret-0.21.4/CFLAGS
- var/db/pkg/app-crypt/libsecret-0.21.4/CHOST
- var/db/pkg/app-crypt/libsecret-0.21.4/CONTENTS
- var/db/pkg/app-crypt/libsecret-0.21.4/COUNTER
- var/db/pkg/app-crypt/libsecret-0.21.4/CXXFLAGS
- var/db/pkg/app-crypt/libsecret-0.21.4/DEFINED_PHASES
- var/db/pkg/app-crypt/libsecret-0.21.4/DEPEND
- var/db/pkg/app-crypt/libsecret-0.21.4/DESCRIPTION
- var/db/pkg/app-crypt/libsecret-0.21.4/EAPI
- var/db/pkg/app-crypt/libsecret-0.21.4/FEATURES
- var/db/pkg/app-crypt/libsecret-0.21.4/HOMEPAGE
- var/db/pkg/app-crypt/libsecret-0.21.4/INHERITED
- var/db/pkg/app-crypt/libsecret-0.21.4/IUSE
- var/db/pkg/app-crypt/libsecret-0.21.4/IUSE_EFFECTIVE
- var/db/pkg/app-crypt/libsecret-0.21.4/KEYWORDS
- var/db/pkg/app-crypt/libsecret-0.21.4/LDFLAGS
- var/db/pkg/app-crypt/libsecret-0.21.4/LICENSE
- var/db/pkg/app-crypt/libsecret-0.21.4/NEEDED
- var/db/pkg/app-crypt/libsecret-0.21.4/PDEPEND
- var/db/pkg/app-crypt/libsecret-0.21.4/PF
- var/db/pkg/app-crypt/libsecret-0.21.4/PROVIDES
- var/db/pkg/app-crypt/libsecret-0.21.4/RDEPEND
- var/db/pkg/app-crypt/libsecret-0.21.4/REQUIRES
- var/db/pkg/app-crypt/libsecret-0.21.4/SIZE
- var/db/pkg/app-crypt/libsecret-0.21.4/SLOT
- var/db/pkg/app-crypt/libsecret-0.21.4/USE
- var/db/pkg/app-crypt/libsecret-0.21.4/environment.bz2
- var/db/pkg/app-crypt/libsecret-0.21.4/libsecret-0.21.4.ebuild
- var/db/pkg/app-crypt/libsecret-0.21.4/repository
package_cacheimage: ""
runtime:
  name: libsecret
  version: 0.21.4+1
  category: app-crypt
  use_flags:
  - -gtk-doc
  - bash-completion
  - crypt
  - introspection
  - tpm
  - vala
  requires:
  - name: tpm2-tss
    version: '>=0'
    category: app-crypt
  - name: bash-completion
    version: '>=0'
    category: app-shells
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A GObject-based library for accessing the Secret Service API of the
    freedesktop.org project, a cross-desktop effort to access passwords, tokens and
    other types of secrets.
  uri:
  - https://wiki.gnome.org/Projects/Libsecret
  license: LGPL-2.1+
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2'
    DEPEND: '>=dev-libs/glib-2.44.0 crypt? ( >=dev-libs/libgcrypt-1.2.2 ) bash-completion?
      ( app-shells/bash-completion ) tpm? ( >=app-crypt/tpm2-tss-3.0.3 ) >=sys-devel/gettext-0.19.8
      virtual/pkgconfig gtk-doc? ( >=dev-util/gi-docgen-2021.7 ) introspection? (
      >=dev-libs/gobject-introspection-1.29 ) vala? ( || ( dev-lang/vala:0.50 dev-lang/vala:0.48
      dev-lang/vala:0.46 dev-lang/vala:0.44 dev-lang/vala:0.42 dev-lang/vala:0.40
      dev-lang/vala:0.36 ) ) dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: bash-completion +crypt +gnome-keyring gtk-doc +introspection tpm +vala
    RDEPEND: '>=dev-libs/glib-2.44.0 crypt? ( >=dev-libs/libgcrypt-1.2.2 ) bash-completion?
      ( app-shells/bash-completion ) tpm? ( >=app-crypt/tpm2-tss-3.0.3 )'
    emerge.packages: app-crypt/libsecret
    kit: gnome-kit
    original.package.name: app-crypt/libsecret
    original.package.slot: "0"
    original.package.version: 0.21.4
